from os import makedirs, path
from modules.app import app
from modules.utils import *
from modules.scheduler import scheduler
from modules.extensions_loader import dynamic_import_from_src
from fastapi.responses import FileResponse

makedirs(path.join("data", "users"), exist_ok=True)


@app.get("/favicon.ico", response_class=FileResponse, include_in_schema=False)
async def favicon():
    return FileResponse("favicon.ico")


# =================================================================================
dynamic_import_from_src("extensions", star_import=True)
# =================================================================================

scheduler.start()
